# List RBAC policies Retrieve a list of RBAC policies. Can be filtered by platform_key, role_id, name, username, email, or group. Use include_users and include_groups to control response payload. Endpoint: GET /api/core/rbac/policies/ Version: 4.84.1-ai-plus Security: PlatformApiKeyAuthentication ## Query parameters: - `email` (string) Filter policies by email (exact match, case-insensitive) - includes users in policy or in policy's groups - `group` (string) Filter policies by group name (exact match, case-insensitive) - `include_groups` (boolean) Include group information in response (default: true) - `include_users` (boolean) Include user information in response (default: true) - `name` (string) Filter policies by name (case-insensitive partial match) - `page` (integer) A page number within the paginated result set. - `page_size` (integer) Number of results to return per page. - `platform_key` (string) Filter policies by platform key - `role_id` (integer) Filter policies by role ID - `username` (string) Filter policies by username (exact match, case-insensitive) - includes users in policy or in policy's groups ## Response 200 fields (application/json): - `count` (integer, required) Example: 123 - `next` (string,null) Example: "http://api.example.org/accounts/?page=4" - `previous` (string,null) Example: "http://api.example.org/accounts/?page=2" - `results` (array, required) - `results.id` (integer, required) - `results.name` (string) Policy name. If not supplied, defaults to a UUID4 - `results.role` (object, required) Role information (read-only) - `results.role.name` (string, required) - `results.role.actions` (array) List of actions/permissions this role can perform (e.g., ['Ibl.Mentor/Settings/read', 'Ibl.Mentor/Settings/write']) - `results.role.data_actions` (array) List of data actions/permissions this role can perform for field-level access (e.g., ['Ibl.Mentor/Settings/name/read', 'Ibl.Mentor/Settings/email/write']) - `results.platform` (object, required) Platform information (read-only) - `results.platform.key` (string, required) The platform key - `results.platform.name` (string,null) The name of the platform - `results.resources` (array, required) List of resource paths this policy grants access to (e.g., ['/platforms/1/mentors', '/platforms/1/mentors/settings']) - `results.users` (array, required) - `results.users.id` (integer, required) edX user ID - `results.users.username` (string,null) edX username - `results.users.email` (string,null) edX email - `results.groups` (array, required) - `results.groups.name` (string) Optional name of the group - `results.groups.unique_id` (string, required) The unique identifier for the group - `results.groups.description` (string) Optional group description - `results.is_internal` (boolean, required) When True, this policy is internal to the system and cannot be viewed or modified by tenants via API endpoints. ## Response 403 fields